<<

# Bugzilla::WebService::Bugzilla

- NAME
- DESCRIPTION
- METHODS

# NAME

Bugzilla::WebService::Bugzilla - Global functions for the webservice interface.

# DESCRIPTION

This provides functions that tell you about Bugzilla in general.

# METHODS

See Bugzilla::WebService for a description of how parameters are passed, and what STABLE, UNSTABLE, and EXPERIMENTAL mean.

`version`

  STABLE

  Description

    Returns the current version of Bugzilla.

  Params (none)
  Returns

    A hash with a single item, `version`, that is the version as a string.

  Errors (none)
`extensions`

  EXPERIMENTAL

  Description

    Gets information about the extensions that are currently installed and enabled in this Bugzilla.

  Params (none)
  Returns

    A hash with a single item, `extesions`. This points to a hash. That hash contains the names of extensions as keys, and information about the extension as values. One of the values that must be returned is the 'version' of the extension

  History
    Added in Bugzilla 3.2.
`timezone`

  DEPRECATED This method may be removed in a future version of Bugzilla. Use "time" instead.

  Description

    Returns the timezone of the server Bugzilla is running on. This is important because all dates/times that the webservice interface returns will be in this timezone.

  Params (none)
  Returns

    A hash with a single item, `timezone`, that is the timezone offset as a string in (+/-)XXXX (RFC 2822) format.

`time`

  UNSTABLE

  Description

    Gets information about what time the Bugzilla server thinks it is, and what timezone it's running in.

  Params (none)
  Returns

    A struct with the following items:

    `db_time`

      `dateTime` The current time in Bugzilla's local time zone, according to the Bugzilla database server.

      Note that Bugzilla assumes that the database and the webserver are running in the same time zone. However, if the web server and the database server aren't synchronized for some reason, this is the time that you should rely on for doing searches and other input to the WebService.

    `web_time`

      `dateTime` This is the current time in Bugzilla's local time zone, according to Bugzilla's web server.

      This might be different by a second from `db_time` since this comes from a different source. If it's any more different than a second, then there is likely some problem with this Bugzilla instance. In this case you should rely on the `db_time`, not the `web_time`.

    `web_time_utc`

      The same as `web_time`, but in the UTC time zone instead of the local time zone.

    `tz_name`

      `string` The long name of the time zone that the Bugzilla web server is in. Will usually look something like: `America/Los Angeles`

    `tz_short_name`

      `string` The "short name" of the time zone that the Bugzilla web server is in. This should only be used for display, and not relied on for your programs, because different time zones can have the same short name. (For example, there are two `EST`s.)

      This will look something like: `PST`.

    `tz_offset`

      `string` The timezone offset as a string in (+/-)XXXX (RFC 2822) format.

  History
    Added in Bugzilla 3.4.

<<